| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >:
[legend]

## Classes
struct | Operations

## Public Types
typedef TupleT | ResultT

## Public Member Functions
| TupleInnerGrammar ()

## Public Attributes
Grammar_< Iterator, typename std::tuple_element< 0, ResultT >::type, Skipper >::Grammar | grFirst
qi::rule< Iterator, ResultT(), Skipper > | tup
ph::function< Operations > | op

## Detailed Description

### template<typename Iterator, typename TupleT, typename Skipper>
struct Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >

Definition at line 241 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator , typename TupleT , typename Skipper >

typedef TupleT Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::ResultT

Definition at line 245 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator , typename TupleT , typename Skipper >

Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::TupleInnerGrammar | ( |  | ) |
| inline

Definition at line 263 of file GrammarsV2.h.

263 : TupleInnerGrammar::base_type(tup) {
264 tup = grFirst[op(qi::_val, qi::_1)];
265 }
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::op
ph::function< Operations > op
Definition: GrammarsV2.h:272
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::grFirst
Grammar_< Iterator, typename std::tuple_element< 0, ResultT >::type, Skipper >::Grammar grFirst
Definition: GrammarsV2.h:269
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::tup
qi::rule< Iterator, ResultT(), Skipper > tup
Definition: GrammarsV2.h:271

## Member Data Documentation

template<typename Iterator , typename TupleT , typename Skipper >

Grammar_<Iterator, typename std::tuple_element<0, ResultT>::type, Skipper>::Grammar Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::grFirst

Definition at line 269 of file GrammarsV2.h.

template<typename Iterator , typename TupleT , typename Skipper >

ph::function<Operations> Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::op

Definition at line 272 of file GrammarsV2.h.

template<typename Iterator , typename TupleT , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::tup

Definition at line 271 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h